Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

# Class CreditorReferenceInformation1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_02.CreditorReferenceInformation1

public class CreditorReferenceInformation1 extends Object

Java class for CreditorReferenceInformation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrRefTp" type="{urn:sepade:xsd:pain.001.001.02}CreditorReferenceType1" minOccurs="0"/>
             <element name="CdtrRef" type="{urn:sepade:xsd:pain.001.001.02}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`cdtrRef`
`protected CreditorReferenceType1`
`cdtrRefTp`

## Constructor Summary

Constructors
Constructor
Description
`CreditorReferenceInformation1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCdtrRef()`
Gets the value of the cdtrRef property.
`CreditorReferenceType1`
`getCdtrRefTp()`
Gets the value of the cdtrRefTp property.
`void`
`setCdtrRef(String value)`
Sets the value of the cdtrRef property.
`void`
`setCdtrRefTp(CreditorReferenceType1 value)`
Sets the value of the cdtrRefTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cdtrRefTp

protected CreditorReferenceType1 cdtrRefTp

### cdtrRef

protected String cdtrRef

## Constructor Details

### CreditorReferenceInformation1

public CreditorReferenceInformation1()

## Method Details

### getCdtrRefTp

public CreditorReferenceType1 getCdtrRefTp()
Gets the value of the cdtrRefTp property.

Returns:
  possible object is `CreditorReferenceType1`

### setCdtrRefTp

public void setCdtrRefTp(CreditorReferenceType1 value)
Sets the value of the cdtrRefTp property.

Parameters:
  `value` - allowed object is `CreditorReferenceType1`

### getCdtrRef

public String getCdtrRef()
Gets the value of the cdtrRef property.

Returns:
  possible object is `String`

### setCdtrRef

public void setCdtrRef(String value)
Sets the value of the cdtrRef property.

Parameters:
  `value` - allowed object is `String`